<?
# dvbdcontrol
#
# Web-interface to control the dvbd tools. 
# Use only in trusted networks or with additional authentication!
#
# Copyright (c) 2005 Tim Jansen
# See LICENSE for licensing (MIT license).
# 

require 'common.php';

# if set, the number to delete.
$number = $_REQUEST['number'];

# if action is 'delete', the job is actually being deleted
$deleteNow = $_REQUEST['action'] == 'delete';

if ($number == null)
	$job = null;
else 
	$job = getJob($number);

if ($deleteNow) {
	if ($job == null)
		$deleteError = "Job number $number not found.";
	else
		$deleteError = removeJob(intval($number));
}

?>
<html>
<head><title>dvbd schedule delete</title></head>
<body>
<h2>dvbd schedule delete</h2>

<? if ($deleteNow) { ?>
<p>
	<? if ($deleteError != null) { ?>
		<div style="Color: red">Error deleting job number <?=$number?>: <?=htmlspecialchars($deleteError)?></div>
	<? } else {
		?><div>Job number <?=$number?> deleted.</div><?
	} ?>
	<form action="schedule.php" method="post">
		<input type="submit" value="Ok"/>
	</form>
</p>
<? } else { ?>
	<? if ($job == null) { ?>
		<div style="Color: red">Error: Job <?=$number?> not found</div>
	<? } else { ?>
		<p>
		Delete the following job?
		<table cellpadding="0" cellspacing="6">
		<tr><td>Number:</td><td><?=$number?></td></tr>
		<tr><td>Channel:</td><td><?=htmlspecialchars($job['channel'])?></td></tr>
		<tr><td>Date:</td><td><?=htmlspecialchars($job['date'])?></td></tr>
		<tr><td>Time:</td><td><?=htmlspecialchars($job['time'])?></td></tr>
		<tr><td>Duration:</td><td><?=htmlspecialchars($job['duration'])?> min<td></tr>
		<tr><td>Filename:</td><td><?=htmlspecialchars($job['file'])?></td></tr>
		<tr><td>Format:</td><td><?=$job['convertToPs']?'mpg':'ts'?></td></tr>
		<tr><td>Priority:</td><td><?=htmlspecialchars($job['priority'])?></td></tr>
		</table>
		<form action="delete.php" method="post">
			<input type="hidden" name="number" value="<?=$number?>"/>
			<input type="hidden" name="action" value="delete"/>
			<input type="submit" value="Delete"/> <a href="schedule.php">Cancel</a>
		</form>
	<? } ?>
</p>
<? } ?>

</body>
</html>
