<?
# dvbdcontrol
#
# Web-interface to control the dvbd tools. 
# Use only in trusted networks or with additional authentication!
#
# Copyright (c) 2005 Tim Jansen
# See LICENSE for licensing (MIT license).
# 

require 'common.php';


# the files to delete.
$files = $_REQUEST['files'];

# if action is 'delete', the job is actually being deleted
$deleteNow = $_REQUEST['action'] == 'delete';

if ($files == null) {
	$delRecordings = null;
}
else {
	$recList = getRecordingList();
	$delRecordings = array();
	foreach ($files as $file) {
		$recording = getRecording($recList, $file);
		if ($recording != null)
			$delRecordings[] = $recording;
	}
}
	
if ($delRecordings != null && count($delRecordings)>0) {
	if ($deleteNow) {
		$deleteError = "";
		foreach ($delRecordings as $delRecord) {
			$f = $delRecord['file'];
			if (!unlink($recordDir.$f))
				$deleteError .= "Failed to delete $f. \n";
		}
	}
}
else {
	header("Location: recordings.php");
	exit;  
}


?>
<html>
<head><title>dvbd recording delete</title></head>
<body>
<h2>dvbd recording delete</h2>

<? if ($deleteNow) { ?>
<p>
	<? if ($deleteError != null) { ?>
		<div style="Color: red">Error deleting files: <?=htmlspecialchars($deleteError)?></div>
	<? } else {
		?><div>Files deleted.</div><?
	} ?>
	<form action="recordings.php" method="post">
		<input type="submit" value="Ok"/>
	</form>
</p>
<? } else { ?>
	<? if ($delRecordings == null) { ?>
		<div style="Color: red">Error: Recordings not found (<?=htmlspecialchars($files)?>)</div>
	<? 
	} else { 
	?>
		Delete the following recordings?
		<table cellpadding="0" cellspacing="6">
	<?	foreach ($delRecordings as $delRecord) { ?>
		
			<tr>
			<td><?=htmlspecialchars($delRecord['file'])?></td>
	<?		if ($delRecord['fullInfo']) {	?>
				<td><?=htmlspecialchars($delRecord['channel'])?></td>
				<td><?=htmlspecialchars($delRecord['date'])?></td>
				<td><?=htmlspecialchars($delRecord['time'])?></td>
	<?              } else { ?>
				<td colspan='3'>-</td>
	<?		} ?>
			</tr>
	<?	} ?>
		</table>
		<form action="delete_recording.php" method="post">
	<? 	foreach ($delRecordings as $delRecord) { ?>
			<input type="hidden" name="files[]" value="<?=htmlspecialchars($delRecord['file'])?>"/>
	<?	} ?>
			<input type="hidden" name="action" value="delete"/>
			<input type="submit" value="Delete"/> <a href="recordings.php">Cancel</a>
		</form>
	<? } ?>
</p>
<? } ?>

</body>
</html>
