<?
# dvbdcontrol
#
# Web-interface to control the dvbd tools. 
# Use only in trusted networks or with additional authentication!
#
# Copyright (c) 2005 Tim Jansen
# See LICENSE for licensing (MIT license).
# 

require 'common.php';

# if set, the number to edit. If not, a new one is created.
$number = $_REQUEST['number'];

# if action is 'edit', a form request is being edite
$editNow = $_REQUEST['action'] == 'edit';

# Page to jump to, either 'schedule' or 'index'
$origin = $_REQUEST['origin'];

$channels = getChannels();

if ($origin == 'schedule')
	$originPage = 'schedule.php';
else	
	$originPage = 'index.php';

$editError = null;
if ($editNow) {
	$file = $recordDir . $_REQUEST['file'];
	$duration = timeDiff($_REQUEST['time'], $_REQUEST['endTime']);
	if (realpath(dirname($file)) != realpath($recordDir))
		$editError = "Path not acceptable, wrong directory!";
	else if (file_exists($file))
		$editError = "File already exists.";
	else if (strlen($_REQUEST['date']) != 10 ||
		 strlen($_REQUEST['time']) != 5 ||
		 strlen($_REQUEST['endTime']) != 5 ||
		 substr($_REQUEST['time'], 2, 1) != ':' ||
		 substr($_REQUEST['endTime'], 2, 1) != ':')
		$editError = "Invalid date or time.";
	else if (strlen($_REQUEST['priority']) == 0)
		$editError = "Priority must be set.";
	else if ($duration > 6*60)
		$editError = "Duration is over 6 hours.";
	$job = array('date' => $_REQUEST['date'],
                     'time' => $_REQUEST['time'],
                     'endTime' => $_REQUEST['endTime'],
                     'dvbType' => $dvbType,
                     'channel' => $_REQUEST['channel'],
                     'convertToPs' => $_REQUEST['format']=='mpg',
                     'duration' => $duration,
                     'priority' => intval($_REQUEST['priority']),
                     'file' => $_REQUEST['file'],
                     'extra' => $_REQUEST['extra']
                );
}
else {
	if ($number != null)
		$job = getJob($number);
	else
		$job = getDefaultJob();
}

$newNumber = null;
?>
<html>
<head><title>dvbd schedule edit</title></head>
<body>
<h2>dvbd schedule edit</h2>

<? if ($editNow) { ?>
<p>
<? if ($editError != null) { ?>
<div style="Color: red">Error: <?=$editError?></div>
<? } else {
	if ($number == null) {
		$s = addJob($job);
		$editError = $s['result'];
		if ($editError == null) { 
			$newNumber = $s['number'];
			?><div>Job added with number <?=$newNumber?>.</div><?
		} 
		else {
			?><div style="Color: red">Adding Job failed: <?=htmlspecialchars($editError)?></div><?
		}
	}
	else {
		$s = editJob($number, $job);
		$editError = $s['result'];
		if ($editError == null) { 
			$newNumber = $s['number'];
			?><div>Job edited, new number <?=$newNumber?>.</div><?
		} 
		else {
			?><div style="Color: red">Editing Job failed: <?=htmlspecialchars($editError)?></div><?
		}
	}
} ?>
</p>
<? } ?>

<? if ($newNumber == null) { ?>
<p>
<form action="edit.php" method="post">
<input type="hidden" name="action" value="edit"/>
<input type="hidden" name="origin" value="<?=htmlspecialchars($origin)?>"/>

<? if ($number != null) { ?>
<input type="hidden" name="number" value="<?=htmlspecialchars($number)?>"/>
<? } ?>

<table cellpadding="0" cellspacing="6">
<tr><td>Channel:</td><td><select name="channel">
<?
foreach ($channels as $key=>$channelName) {
	$selected = $job['channel']==$channelName ? ' selected="true"' : '';
	echo "<option".$selected.">".htmlspecialchars($channelName)."</option>\n";
}
?>
</select></td></tr>
<tr><td>Date:</td><td><input name="date" value="<?=htmlspecialchars($job['date'])?>"/></td></tr>
<tr><td>Time:</td><td><input name="time" value="<?=htmlspecialchars($job['time'])?>"/></td></tr>
<tr><td>End:</td><td><input name="endTime" value="<?=htmlspecialchars($job['endTime'])?>"/></td></tr>
<tr><td>Filename:</td><td><input name="file" value="<?=htmlspecialchars($job['file'])?>"/></td></tr>
<tr><td>Format:</td><td><select name="format"><option><?=$job['convertToPs']?'mpg</option><option>ts':'ts</option><option>mpg'?></option></select></td></tr>
<tr><td>Priority:</td><td><?
$p = $job['priority'];
if ($p != $PRIO_LOW && $p != $PRIO_NORMAL  && $p != $PRIO_HIGH) {
?><input name="priority" value="<?=$p?>"/><?
} else {
?><select name="priority">
<option value='<?=$PRIO_LOW?>'<?=$p==$PRIO_LOW?' selected="true"':''?>>low</option>
<option value='<?=$PRIO_NORMAL?>'<?=$p==$PRIO_NORMAL?' selected="true"':''?>>normal</option>
<option value='<?=$PRIO_HIGH?>'<?=$p==$PRIO_HIGH?' selected="true"':''?>>high</option>
</select>
<?}?></td></tr>
<tr><td colspan='2' align='right'><br/><input type="submit" value="Ok"/> &nbsp;&nbsp; <input type="reset" value="Reset"/>
                    &nbsp;&nbsp; <a href="<?=$originPage?>">Cancel</a></td></tr>
</table>
</form>
</p>
<? } else { ?>
<p>
<table cellpadding="0" cellspacing="6">
<tr><td>Number:</td><td><?=$number?></td></tr>
<tr><td>Channel:</td><td><?=htmlspecialchars($job['channel'])?></td></tr>
<tr><td>Date:</td><td><?=htmlspecialchars($job['date'])?></td></tr>
<tr><td>Time:</td><td><?=htmlspecialchars($job['time'])?></td></tr>
<tr><td>EndTime:</td><td><?=htmlspecialchars($job['endTime'])?></td></tr>
<tr><td>Duration:</td><td><?=htmlspecialchars($job['duration'])?> min<td></tr>
<tr><td>Filename:</td><td><?=htmlspecialchars($job['file'])?></td></tr>
<tr><td>Format:</td><td><?=$job['convertToPs']?'mpg':'ts'?></td></tr>
<tr><td>Priority:</td><td><?=translatePriority($job['priority'])?></td></tr>
</table>
<form action="<?=$originPage?>" method="post">
<input type="submit" value="Ok"/> 
<input type="hidden" name="select" value="<?=$newNumber?>"/>
</form>
</p>
<? } ?>

</body>
</html>
